Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000972pLoaderauthenticationpublic2009.04.15 09:102009.06.02 23:47
Reporterworwan 
Assigned Torosman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDebian TestingOSGNU/Linux OS Version2.6.26-1-686
Product Version 
Target VersionFixed in Version2.0.2b 
Summary0000972: ploader cannot connect to gallery authenticated by apache
DescriptionGallery authentication is done by apache.
pLoader cannot connect:

Found

Connection to http://domain.tld/gallery [^] failed
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002576)
worwan (reporter)
2009.04.15 09:13

actually the message in pLoader after login is that above but following:

Authorization Required

Connection to http://domain.tld/gallery [^] failed
(0002587)
plg (manager)
2009.04.30 00:55

I've made some searches about HTTP basic authentication, and I've checked that if you replace:

    $result = $ua->get($query);

by

    my $req = HTTP::Request->new(GET => $query);
    $req->headers->authorization_basic('http user', 'http password');
    $result = $ua->request($req);

Then it works perfectly :-)

Ron, what do you think of this?
(0002599)
rosman (manager)
2009.05.15 18:28

Fixed in [Subversion] r3285

By default use Piwigo user/password.

If Apache authentication has a different user/password :

1/ remove existing pLoader.conf
2/ add http_username and http_password entries in pLoader.ini

- Issue History
Date Modified Username Field Change
2009.04.15 09:10 worwan New Issue
2009.04.15 09:10 worwan browser => any
2009.04.15 09:10 worwan PHP version => 5.2
2009.04.15 09:10 worwan Web server => Apache 2.2.3
2009.04.15 09:13 worwan Note Added: 0002576
2009.04.30 00:55 plg Note Added: 0002587
2009.04.30 00:55 plg Project Piwigo => pLoader
2009.04.30 00:55 plg Status new => assigned
2009.04.30 00:55 plg Assigned To => rosman
2009.05.15 18:28 rosman Note Added: 0002599
2009.05.15 18:28 rosman Status assigned => resolved
2009.05.15 18:28 rosman Fixed in Version => 2.0.2b
2009.05.15 18:28 rosman Resolution open => fixed
2009.06.02 23:47 plg Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker